Class | SOAP::SOAPHeader
In: | soap/element.rb
Parent: | SOAPStruct

### Methods

add encode length new size

### Included Modules

SOAPEnvelopeElement

### Public Class methods

new()

[Source]

    # File soap/element.rb, line 182
      def initialize
        super(nil)
        @elename = EleHeaderName
        @encodingstyle = nil
      end

### Public Instance methods

add(name, value)

[Source]

    # File soap/element.rb, line 197
      def add(name, value)
        mu = (value.extraattr[AttrMustUnderstandName] == '1')
        encstyle = value.extraattr[AttrEncodingStyleName]
        item = SOAPHeaderItem.new(value, mu, encstyle)
        super(name, item)
      end

encode(generator, ns, attrs = {}) {|data| ...}

[Source]

    # File soap/element.rb, line 188
      def encode(generator, ns, attrs = {})
        name = ns.name(@elename)
        generator.encode_tag(name, attrs)
        @data.each do |data|
          yield(data)
        end
        generator.encode_tag_end(name, true)
      end

length()

[Source]

    # File soap/element.rb, line 204
      def length
        @data.length
      end

size()

Alias for length

[Validate]